Postgres Pro Standard 9.5.17.1: примечания к релизу

Обзор

Этот выпуск основан на PostgreSQL 9.5.17 и Postgres Pro Standard 9.5.16.1. Все усовершенствования, унаследованные от PostgreSQL 9.5.17, перечислены в Замечаниях к выпуску PostgreSQL 9.5.17.

В число ключевых усовершенствований по сравнению с Postgres Pro Standard 9.5.16.1 входят:

  • В интерактивном инсталляторе Postgres Pro для Windows появились новые возможности. Теперь вы можете:

    • Выбрать в качестве провайдера правил сортировки по умолчанию icu или libc. Ранее в отсутствие такого выбора в Postgres Pro всегда выбирался провайдер icu.

    • Выбрать пользователя, который будет запускать службу Postgres Pro. По умолчанию служба Postgres Pro запускается от имени пользователя NT AUTHORITY\NetworkService.

  • Прекращена поддержка системы Ubuntu 14.04.

Миграция на версию 9.5.17.1

Процедура установки зависит от версии вашей текущей инсталляции.

Если вы использовали Postgres Pro Standard версии 9.5.3.2 или выше, достаточно установить версию 9.5.15.1 в тот же каталог. Однако если вы производите обновление с PostgreSQL 9.5.x или более низких версий Postgres Pro Standard, необходимы дополнительные изменения в каталоге, так что для завершения обновления потребуется запустить скрипт pgpro_upgrade:

  • Если вы обновляете инсталляцию, используя двоичные пакеты, и ваша база данных находится в расположении по умолчанию, скрипт pgpro_upgrade запустится автоматически, либо вам будет предложено запустить его вручную.

  • Если вы скомпилировали Postgres Pro из исходного кода или создали базу данных в нестандартном расположении, вы должны запустить скрипт pgpro_upgrade вручную.

 

Важно

Прежде чем запускать pgpro_upgrade вручную, вы должны остановить службу postgres. Этот скрипт должен запускать пользователь-владелец базы данных (обычно postgres). При попытке запустить pgpro_upgrade от имени root произойдёт ошибка. За подробностями обратитесь к описанию pgpro_upgrade.

Для перехода на эту версию с ванильной версии PostgreSQL 9.5.4 или ниже, выполните выгрузку/восстановление данных, используя pg_dumpall.